.morestyle43644{ font-size: 9pt ;}
.clickstyle43644{ font-size: 9pt; color: #222222; line-height: 150% ;}
.leaderfont43644{ font-size: 9pt; line-height: 150% ;}
.titlestyle43644{ line-height: 150%; font-size: 9pt; text-decoration: none ;}
.columnstyle43644{ font-size: 9pt; color: #222222; text-decoration: none ;}
.timestyle43644{ font-size: 9pt; color: #222222; line-height: 150%;}
A.c43644 {
line-height: 150%; font-size: 9pt; text-decoration: none 
;}
A.c43644:link {
color:#222222;}
A.c43644:visited {
color:#222222;}
A.c43644:active {
color: #222222;}
A.c43644:hover {
color: #cc0000;}
.titlestyle43640{ font-size: 9pt; color: #222222; text-decoration: none ;}

.morestyle43641{ font-size: 9pt ;}
.clickstyle43641{ font-size: 9pt; color: #222222; line-height: 150% ;}
.leaderfont43641{ font-size: 9pt; line-height: 150% ;}
.titlestyle43641{ line-height: 150%; font-size: 9pt; text-decoration: none ;}
.columnstyle43641{ font-size: 9pt; color: #222222; text-decoration: none ;}
.timestyle43641{ font-size: 9pt; color: #222222; line-height: 150%;}
A.c43641 {
line-height: 150%; font-size: 9pt; text-decoration: none 
;}
A.c43641:link {
color:#222222;}
A.c43641:visited {
color:#222222;}
A.c43641:active {
color: #222222;}
A.c43641:hover {
color: #cc0000;}
.morestyle43642{ font-size: 9pt ;}
.clickstyle43642{ font-size: 9pt; color: #222222; line-height: 150% ;}
.leaderfont43642{ font-size: 9pt; line-height: 150% ;}
.titlestyle43642{ line-height: 150%; font-size: 9pt; text-decoration: none ;}
.columnstyle43642{ font-size: 9pt; color: #222222; text-decoration: none ;}
.timestyle43642{ font-size: 9pt; color: #222222; line-height: 150%;}
A.c43642 {
line-height: 150%; font-size: 9pt; text-decoration: none 
;}
A.c43642:link {
color:#222222;}
A.c43642:visited {
color:#222222;}
A.c43642:active {
color: #222222;}
A.c43642:hover {
color: #cc0000;}
.morestyle43643{ font-size: 9pt ;}
.clickstyle43643{ font-size: 9pt; color: #222222; line-height: 150% ;}
.leaderfont43643{ font-size: 9pt; line-height: 150% ;}
.titlestyle43643{ line-height: 150%; font-size: 9pt; text-decoration: none ;}
.columnstyle43643{ font-size: 9pt; color: #222222; text-decoration: none ;}
.timestyle43643{ font-size: 9pt; color: #222222; line-height: 150%;}
A.c43643 {
line-height: 150%; font-size: 9pt; text-decoration: none 
;}
A.c43643:link {
color:#222222;}
A.c43643:visited {
color:#222222;}
A.c43643:active {
color: #222222;}
A.c43643:hover {
color: #cc0000;}
